View Issue Details

IDProjectCategoryView StatusLast Update
0000596FreeCADFeaturepublic2013-07-06 18:50
Reportergafvert Assigned Towmayer  
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.14 
Summary0000596: Edge chain selection
DescriptionWhen working with fillets and chamfers it would be very useful to be able to select continuous edge chains in one go, instead of manually having to select each edge in the chain. This is especially valuable when you work with complex series of rounds, where there usually end up being a lot of little edges, and when you miss one the fillet fails, or is incorrect.

I imagine it would work something like the "select edge loop" feature in blender, where you select one edge and then invoke this commend. The system then selects all other edges that start/end at the start/end points of the selected edge, and either have tangent continuity (like connected fillet edges) or are the edges around a face (like the edges of a face on a cube).

The feature could be invoked from for example an item in the context menu when an edge is selected, and/or from a button somewhere in the interface.
TagsNo tags attached.
FreeCAD Information

Activities

normandc

2012-03-02 01:56

manager   ~0001698

Just FYI, with PartDesign Fillet and PartDesign Chamfer, "tangent continuity edge chain" selection is already supported. You just have to select one of the edges and click on the tool, and the fillet or radius will propagate to the whole chain.

wmayer

2013-07-06 18:50

administrator   ~0003342

git show 689fcd5

Issue History

Date Modified Username Field Change
2012-02-08 12:16 gafvert New Issue
2012-03-02 01:56 normandc Note Added: 0001698
2013-06-29 13:00 wmayer Status new => assigned
2013-06-29 13:00 wmayer Assigned To => wmayer
2013-07-06 18:50 wmayer Note Added: 0003342
2013-07-06 18:50 wmayer Status assigned => closed
2013-07-06 18:50 wmayer Resolution open => fixed
2013-07-06 18:50 wmayer Fixed in Version => 0.14